<?php
/**
 * FW Food menu 5.1.1
 * @copyright (C) 2020 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );

class MenuModelItem extends JModelLegacy {
    function loadItem() {
        $id = JFactory::getApplication()->input->getInt('id');
        $menu = $this->getTable('menu');
        if ($id) $menu->load($id);
        return $menu;
    }
    function loadCategory($cid) {
        $category = $this->getTable('category');
        if ($cid) $category->load($cid);
        return $category;
    }
}
